summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-04-11 10:47:53 -0600
committerEd Kern <ejk@cisco.com>2018-04-11 14:02:30 -0600
commitc03b201adfeaa4ebfd85cbc13b1a96f06fc37237 (patch)
treed9fa3ba7bc1334f6e6b22cec423645e65ce26a5b
parent4a5e7d24930863698b56af5b31f37f209d618f3f (diff)
VPP: new clang job offloading current build
This is part of a vpp effort to pull clang compile from verify into its own job. Change-Id: I8659b1be5fd8ba206b4ae3090c0a6d39a71d6d8b Signed-off-by: Ed Kern <ejk@cisco.com>
-rw-r--r--jjb/vpp/include-raw-vpp-clang-build.sh40
-rw-r--r--jjb/vpp/vpp.yaml55
2 files changed, 95 insertions, 0 deletions
diff --git a/jjb/vpp/include-raw-vpp-clang-build.sh b/jjb/vpp/include-raw-vpp-clang-build.sh
new file mode 100644
index 000000000..1c2258af7
--- /dev/null
+++ b/jjb/vpp/include-raw-vpp-clang-build.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+make UNATTENDED=yes CC=clang CXX=clang install-dep
+make UNATTENDED=yes CC=clang CXX=clang dpdk-install-dev
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang install-packages
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang sample-plugin-install
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp libmemif-install
+
+
+echo "*******************************************************************"
+echo "* VPP CLANG BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index acb25a1b1..4692753eb 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -3,6 +3,7 @@
name: vpp
jobs:
- 'vpp-verify-{stream}-{os}'
+ - 'vpp-verify-{stream}-clang'
- 'vpp-merge-{stream}-{os}'
- 'vpp-verify-os-{stream}-{os}'
- 'vpp-merge-os-{stream}-{os}'
@@ -375,6 +376,60 @@
fixed-delay: 10
- job-template:
+ name: 'vpp-verify-{stream}-clang'
+
+ project-type: freestyle
+ node: 'ubuntu1604-us'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+ - os-parameter:
+ os: 'ubuntu1604'
+ - repo-name-parameter:
+ repo-name: '{repo-stream-part}.ubuntu.xenial.main'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ triggers:
+ - gerrit-trigger-trivial-patch-submitted:
+ name: '{project}'
+ branch: '{branch}'
+
+ builders:
+ - shell:
+ !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_dpdk_dev_env.sh
+ - include-raw-vpp-clang-build.sh
+ publishers:
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'
+ archive-artifacts: '/tmp/vpp-failed-unittests/*/* **/core'
+ - naginator:
+ rerun-unstable-builds: true
+ max-failed-builds: 1
+ fixed-delay: 10
+
+- job-template:
name: 'vpp-verify-os-{stream}-{os}'
project-type: freestyle